Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[RISOLTO] problema lettori multimediali e files video
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian)
View previous topic :: View next topic  
Author Message
allxsan
n00b
n00b


Joined: 11 Aug 2010
Posts: 49

PostPosted: Sat Aug 28, 2010 9:56 pm    Post subject: [RISOLTO] problema lettori multimediali e files video Reply with quote

ciao, dopo aver risolto l'ultimo problema ( nato oggi, dopo un aggiornamento mi segnalava "emerge @preserved-rebuild", ma andava in loop e ripeteva la medesima richiesta ), resta irrisolta l'impossibilita' di visualizzare files video, avevo lasciato in fondo alla lista delle cose da controllare la faccenda dei files video che non possono essere visualizzati.
Accade con TOTEM, ma con Exaile ed altri non cambia nulla.
Ultima prova poco fa.
Dopo aver ripristinato il funzionamento di emerge che andava in loop alla richiesta di lanciare un "emerge @preserved-rebuild", ho reinstallato prima totem ( l'altro giorno avevo eliminato tutti i player ) e i plugin gstreamer, niente da fare! Files audio di ogni formato riprodotti senza problemi, ma con i video niente da fare.
Ho provato MP4, AVI, XVID, FLV.
In totem succede questo:
senza i plugins video, ovviamente, segnala errore "impossibile identificare...."
una volta installati alcuni plugins ( xvid, ffmpeg... ) l'errore sparisce ma Totem segnala sempre e solo che e' aperto un file della durata di 00:00:00


Last edited by allxsan on Tue Aug 31, 2010 8:02 pm; edited 1 time in total
Back to top
View user's profile Send private message
ago
Developer
Developer


Joined: 01 Mar 2008
Posts: 1518
Location: Cosenza, Italy

PostPosted: Sat Aug 28, 2010 10:03 pm    Post subject: Reply with quote

strana cosa, non uso quei player anche con vlc hai lo stesso risultato? Se si potresti postare l'output di
Code:
eix -e vlc

_________________
Contattami se vuoi contribuire in:
-Arch tester
-Chromium tester
-Traduzione doc. it
-Security
Back to top
View user's profile Send private message
allxsan
n00b
n00b


Joined: 11 Aug 2010
Posts: 49

PostPosted: Sun Aug 29, 2010 5:07 am    Post subject: Reply with quote

vlc funziona bene, il problema dipende dai plugins gstreamer e dai software li utilizzano

Code:
# eix -e vlc
[D] media-video/vlc
     Available versions:  1.0.6 (~)1.1.2 (~)1.1.3 **1.1.9999 **9999 {(+)X a52 aac aalib alsa altivec atmo avahi bidi cdda cddax cddb cdio dbus dc1394 debug dirac directfb dts dvb dvd elibc_glibc fbcon +ffmpeg flac fluidsynth fontconfig +gcrypt ggi gnome gnutls hal httpd id3tag ieee1394 jack kate kde libass libcaca libnotify libproxy libsysfs libtiger libv4l libv4l2 lirc live lua matroska mmx modplug mp3 mpeg mtp musepack ncurses nsplugin ogg opengl optimisememory oss pda png projectm pulseaudio pvr +qt4 remoteosd rtsp run-as-root samba schroedinger sdl sdl-image shine shout skins speex sqlite sse stream svg svga taglib theora truetype twolame udev upnp v4l v4l2 vaapi vcdinfo vcdx vlm vorbis win32codecs wma-fixed x264 (+)xcb xinerama xml xosd xv zvbi}
     Installed versions:  1.1.4(23:36:57 28/08/2010)(X a52 aac alsa dbus dts dvd elibc_glibc ffmpeg flac gcrypt gnome gnutls libnotify mmx mp3 mpeg ncurses ogg opengl png qt4 sdl sse svg truetype vorbis x264 xcb xml xv -aalib -altivec -atmo -avahi -bidi -cdda -cddb -dc1394 -debug -dirac -directfb -dvb -fbcon -fluidsynth -fontconfig -ggi -httpd -id3tag -ieee1394 -jack -kate -kde -libass -libcaca -libproxy -libtiger -libv4l -libv4l2 -lirc -live -lua -matroska -modplug -mtp -musepack -nsplugin -optimisememory -oss -projectm -pulseaudio -pvr -remoteosd -rtsp -run-as-root -samba -schroedinger -sdl-image -shine -shout -skins -speex -sqlite -stream -svga -taglib -theora -twolame -udev -upnp -v4l -v4l2 -vaapi -vcdx -vlm -win32codecs -wma-fixed -xosd -zvbi)
     Homepage:            http://www.videolan.org/vlc/
     Description:         VLC media player - Video player and streamer
Back to top
View user's profile Send private message
ago
Developer
Developer


Joined: 01 Mar 2008
Posts: 1518
Location: Cosenza, Italy

PostPosted: Sun Aug 29, 2010 7:58 am    Post subject: Reply with quote

ma sei in ~arch? cmq hai attivato la use gstreamer?

Se ltanti di aprire un video da terminale sempre con vlc..ricevi errori che possano condurre alla soluzione?
_________________
Contattami se vuoi contribuire in:
-Arch tester
-Chromium tester
-Traduzione doc. it
-Security
Back to top
View user's profile Send private message
allxsan
n00b
n00b


Joined: 11 Aug 2010
Posts: 49

PostPosted: Sun Aug 29, 2010 9:41 am    Post subject: Reply with quote

ago wrote:
ma sei in ~arch? cmq hai attivato la use gstreamer?

Se ltanti di aprire un video da terminale sempre con vlc..ricevi errori che possano condurre alla soluzione?


VLC funziona senza problemi, i player che usano gstreamer non visualizzano nessun video, ma funzionano con i files di solo audio
Back to top
View user's profile Send private message
riverdragon
Veteran
Veteran


Joined: 14 Sep 2006
Posts: 1269
Location: Verona

PostPosted: Sun Aug 29, 2010 10:30 am    Post subject: Reply with quote

Devi verificare le USE flag attivate sul pacchetto gst-plugins-meta; io ho "X a52 alsa dvd ffmpeg lame mad mpeg ogg taglib theora v4l2 vorbis xv -dvb -esd -flac -mythtv -oss -pulseaudio -v4l" e non ho problemi di visualizzazione, confrontale con le tue.
Back to top
View user's profile Send private message
allxsan
n00b
n00b


Joined: 11 Aug 2010
Posts: 49

PostPosted: Tue Aug 31, 2010 8:01 pm    Post subject: Reply with quote

riverdragon wrote:
Devi verificare le USE flag attivate sul pacchetto gst-plugins-meta; io ho "X a52 alsa dvd ffmpeg lame mad mpeg ogg taglib theora v4l2 vorbis xv -dvb -esd -flac -mythtv -oss -pulseaudio -v4l" e non ho problemi di visualizzazione, confrontale con le tue.


Grazie, il problema era proprio questo.
Il lato "bello" e' che ogni "plugin" era configurata e installata !
Ho aggiunto al "gst-plugins-meta" un paio di USE e ha funzionato tutto senza neppure ricompilare i singoli files gia' installati.

Ho scoperto anche che molti strani malfunzionamenti erano dovuti alle versioni di portage successive alla 2.1.8.3 ( quelle mascherate, le varie 2.2-RC )
Cito un solo problema che mi ha fatto perdere un paio di mezze giornate:
mi veniva continuamente segnalato che dovevo sistemare una serie di problemi con alcune librerie legate a GCC ( libffi ) e alle varie versioni di python con un
# emerge @preserved-rebuild

ma il giro otteneva solo un loop !
Al termine di un primo #emerge @preserved-rebuild mi si ripresentava la stessa segnalazione
ulteriori tentativi non facevano altro che scambiare l'ordine di compilazione dei tre o quattro pacchetti
Back to top
View user's profile Send private message
cloc3
Advocate
Advocate


Joined: 13 Jan 2004
Posts: 4657
Location: http://www.gentoo-users.org/user/cloc3/

PostPosted: Tue Aug 31, 2010 8:26 pm    Post subject: Reply with quote

allxsan wrote:

ma il giro otteneva solo un loop !
Al termine di un primo #emerge @preserved-rebuild mi si ripresentava la stessa segnalazione

se sei in grado di riprodurre la situazione in modo preciso, faresti bene a segnalare il problema in bugzilla.
quello dei loop è un problema annoso in gentoo, perché quando si distribuiscono alcune decine di migliaia di paccehtti diversi, e si pretende anche lasciare una simile libertà di selezione delle useflag, è facile che ci si ficchi in un collo di bottiglia.

oramai, i developers sono bravissimi a ridurre al minimo questi problemi, e i nuovi strumenti di portage aiutano non poco, tant'è che in stable oramai non si presentano più a nessuno. tuttavia, segnalare che, su ~arch, è successa una certa cosa, permettere di sistemare le pezze per tempo.
_________________
vu vu vu
gentù
mi piaci tu
Back to top
View user's profile Send private message
allxsan
n00b
n00b


Joined: 11 Aug 2010
Posts: 49

PostPosted: Tue Aug 31, 2010 9:12 pm    Post subject: Reply with quote

cloc3 wrote:
allxsan wrote:

ma il giro otteneva solo un loop !
Al termine di un primo #emerge @preserved-rebuild mi si ripresentava la stessa segnalazione

se sei in grado di riprodurre la situazione in modo preciso, faresti bene a segnalare il problema in bugzilla.
quello dei loop è un problema annoso in gentoo, perché quando si distribuiscono alcune decine di migliaia di paccehtti diversi, e si pretende anche lasciare una simile libertà di selezione delle useflag, è facile che ci si ficchi in un collo di bottiglia.

oramai, i developers sono bravissimi a ridurre al minimo questi problemi, e i nuovi strumenti di portage aiutano non poco, tant'è che in stable oramai non si presentano più a nessuno. tuttavia, segnalare che, su ~arch, è successa una certa cosa, permettere di sistemare le pezze per tempo.


ho due installazioni quasi speculari, una su hd 40Gb ed una su HD da 320 sata.
La prima e' a posto, finalmente :) , a parte ppp-2.5.4 che da sempre errore su file del kernel e sono stato costretto a mascherarlo.
La seconda ha ancora problemi, a parte ppp-2.5.4 che ormai non si compila ( prima dei portage2.2rc si compilava senza problemi ), anche su questa sono tornato a portage 2.1.8.3 e sono sparite le segnalazioni di errore per gcc + libffi + python, ma ecco cosa succede reinstallando il "sistema base" :
Code:
emerge -eav system


ma si blocca quando va a ricompilare "lcms"

piccola correzione
ho provato a rimuovere la versione 1.19 ( slot 0 ) e ho lasciato solo la 2.0a ( slot 2 ), ora si fermera' da qualche altra parte
il punto e' che non avevo "tirato io dentro" entrambe le versioni, ha fatto tutto emerge seguendo le dipendenze

allora ho provato a reinstallare i due python ( c'era un errore nel log ) e poi ho dato un semplice
Code:
emerge --deep --nospinner --verbose --with-bdeps y lcms


ed e' andato fino in fondo senza problemi

ho ritentato il comando precedente e si e' bloccato di nuovo su lcms
Code:

/usr/lib64/python2.6/config/libpython2.6.a: could not read symbols: Bad value
collect2: ld returned 1 exit status
make[1]: *** [_lcms.la] Error 1
make[1]: Leaving directory `/var/tmp/portage/media-libs/lcms-1.19/work/lcms-1.19/python'
make: *** [all-recursive] Error 1
 * ERROR: media-libs/lcms-1.19 failed:
 *   emake failed


:?
Back to top
View user's profile Send private message
ago
Developer
Developer


Joined: 01 Mar 2008
Posts: 1518
Location: Cosenza, Italy

PostPosted: Wed Sep 01, 2010 12:16 am    Post subject: Reply with quote

allxsan wrote:
Ho aggiunto al "gst-plugins-meta" un paio di USE e ha funzionato tutto senza neppure ricompilare i singoli files gia' installati.


MI sembra strano...cmq se ora funziona è sicuramente meglio cosi :)
_________________
Contattami se vuoi contribuire in:
-Arch tester
-Chromium tester
-Traduzione doc. it
-Security
Back to top
View user's profile Send private message
allxsan
n00b
n00b


Joined: 11 Aug 2010
Posts: 49

PostPosted: Wed Sep 01, 2010 7:53 am    Post subject: Reply with quote

ago wrote:
allxsan wrote:
Ho aggiunto al "gst-plugins-meta" un paio di USE e ha funzionato tutto senza neppure ricompilare i singoli files gia' installati.


MI sembra strano...cmq se ora funziona è sicuramente meglio cosi :)


Appunto, strano :(
Sono proprio queste le cose che mi fanno perdere la pazienza ( e la voglia )


Ora vorrei fare alcune prove, per le quali avrei bisogno di alcuni make.conf "ideali" ed esclusivi per un unico scopo:

1)
un make.conf esclusivamente per installazione di KDE puro ( cosa che in partenza mi pare gia' quasi impossibile, come minimo sarebbero installate le librerie GTK per Firefox o Chromium :-( )

2)
un make.conf esclusivo per XFCE

3)
make.conf per il solo ambiente LXDE

caratteristiche comuni :

browser web, wordprocessor, mediaplayer audio e video per qualsiasi formato, client torrent ( preferibilmente Deluge ), masterizzazione
Back to top
View user's profile Send private message
ago
Developer
Developer


Joined: 01 Mar 2008
Posts: 1518
Location: Cosenza, Italy

PostPosted: Wed Sep 01, 2010 10:00 am    Post subject: Reply with quote

allxsan wrote:
un make.conf esclusivamente per installazione di KDE puro ( cosa che in partenza mi pare gia' quasi impossibile, come minimo sarebbero installate le librerie GTK per Firefox o Chromium :-( )


I make.conf non sono fatti ad-hoc per i DE, se ti interessa per gnome e kde ci sono gli appositi profili..ma se parti col presupposto di avere kde, nulla toglie che tu possa installare anche le gtk
_________________
Contattami se vuoi contribuire in:
-Arch tester
-Chromium tester
-Traduzione doc. it
-Security
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum